﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace DataChartDynamicFormats
{
    public class ChartLabelViewModel : ObservableModel
    {
        private bool _percent;
        public bool ShowPercent
        {
            get { return _percent; }
            set
            {
                if(_percent != value)
                {
                    _percent = value;
                    OnPropertyChanged();
                }
            }
        }
    }

    public class ObservableModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged([CallerMemberName] String propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
